obj/bankers   //obj so when an attack code is in, it won't be attacked
	banker
		density = 1  //You don't want to step on the banker do you?
		icon = 'NPCs.dmi'
		icon_state = "banker"
		verb/Gold_Banking()
			set src in oview(2)  //When the banker is within 1 block
			switch(alert("[src.name]: What would ya like to do?","Banking","Deposit","Withdraw","Cancel")) //asks if you want to Deposit or Withdraw
				if("Deposit")  //If the player selects Deposit
					var/DepositNum = input("[src.name]: How much would you like to deposit?")as num  //the player assigns a number to DepositNum
					if(DepositNum > 0)  //Dont let you deposit less than one
						if(usr.gold >= DepositNum)  //makes sure that the players's gold is greater or equal to the amount deposited
							usr.gold -= DepositNum  //Minus the players's gold with the deposited number
							usr.bankgold += DepositNum  // plus to the player's bank gold to what the deposit was
							usr<<"You deposited [DepositNum] gold!!!"
						else
							usr<<"You don't have that much gold!!!"
					else
						usr<<"You cant deposit less than 1 gold!!!"
				if("Withdraw")  //If the player selects Withdraw
					var/WithdrawNum = input("[src.name]: You currently have [usr.bankgold] gold in your account! Have much would you like to withdraw?")as num  //the player decides how much to withdraw
					if(WithdrawNum > 0) //make sure you arnt trying to withdraw anything less than 1
						if(WithdrawNum <= usr.bankgold) //make sure you arnt trying to withdraw more than you have!!!
							usr.gold += WithdrawNum //Plus to the player's gold what the withdraw was
							usr.bankgold -= WithdrawNum //minus to bank gold what ya took out
							usr<<"You withdrew [WithdrawNum] gold pieces!"
						else
							usr<<"You don't have that much in your account!"
					else
						usr<<"You have to atleast withdraw 1!!!"
		verb/Withdraw_Item(var/obj/O in src) //the var/obj/O in src goes though src's contents, and lets the usr select an item from there
			set src in oview(1) //verb shows up when the player is one block from banker
			switch(alert("[src.name]: Are you sure you wish to withdraw [O.name]?","Banking","Yes","No")) //asks the the player if you want to get that item
				if("Yes")
					if(O.Move(usr)) //if it succesfuly Moves to usr.contents (the player's inventory)
						usr<<"You withdrew [O.name]!"
		verb/Deposit_Item(var/obj/O in usr) //shows a list of what objects are in the player's inventory
			set src in oview(1) //if the player is one block away from the banker
			switch(alert("[src.name]: Are you sure you want to Deposit [O.name]?","Banking","Yes","No")) //asks if you are sure you want to deposit that item
				if("Yes")
					if(O.Move(src)) //if the item successfuly moves to the bankers contents (inventory)
						usr<<"You deposited [O.name]!"

world/New() //when world is booted up
	..()
	if(fexists("BankSave.sav")) // if the file BankSave.sav exitst
		var/savefile/F = new ("BankSave.sav") //defines a variable to that file
		for(var/obj/bankers/O in world)//for all objects with the path obj/bankers
			F >> O.contents  //moves the info (contents) in O (banker)s contents
world/Del() //when world is going off
	var/savefile/F = new("BankSave.sav")//creates a new file named, BankSave.sav
	for(var/obj/bankers/O in world)//for all objects with the path, obj/bankers
		F << O.contents//moves what is in the bankers contents to the BankSave.sav